#ifndef RK_KERNEL_H_
#define RK_KERNEL_H_

#include <kernel/multiboot.h>
#include <kernel/acpi.h>

struct kernel_context {
    struct rsdp *rsdp;
    struct xsdp *xsdp;

    struct rsdt *rsdt;
    struct mcfg *mcfg;

    uint32_t multi_mmap_size;
    struct multiboot_mmap_entry *multi_mmap;

    uint32_t available_bytes;
    uint32_t mmap_size;
    uint32_t *mmap;
};

#endif
